-- Sql Server 2005 & 2008

use master
go


-- create the credential. Change 'JobStartCred', 'MyDomain\JSU' & 'JSU' to suit your requirements.
create credential JobStartCred with identity = N'MyDomain\JSU', secret = N'JSU'

-- create new proxy. Change 'JobStartProxy' to suit your requirements. Change 'JobStartCred' to be the same as the credential name created in the above step.
exec msdb..sp_add_proxy @proxy_name = N'JobStartProxy', @credential_name = N'JobStartCred', @enabled = 1

-- grant proxy access to execute SSIS packages. Change 'JobStartProxy' to be the same as the proxy name created in the above step.
exec msdb.dbo.sp_grant_proxy_to_subsystem @proxy_name = N'JobStartProxy', @subsystem_id = 11

-- add JobStartUser as principal to proxy. Give permission for JobStartUser to use JobStartProxy. Change 'JobStartUser' to that created in step 5 of the 'step by step guide'. Change 'JobStartProxy' to be the same as the proxy name created 2 steps above.
exec msdb..sp_grant_login_to_proxy @login_name = 'JobStartUser', @proxy_name = N'JobStartProxy'


-- below are the subsystem id numbers that are used as a parameter in procedure 'sp_grant_proxy_to_subsystem'
-- execute the procedure using one or more of these id's to suit your requirements.

-- Value	Description

--  2	    Microsoft ActiveX Script
--	        Important: The activeX scripting subsystem will be removed from SQL Server Agent in a future version
--	        of Microsoft SQL Server. Avoid using this feature in new development work and plan to 
--	        modify applications that currently use this feature.
--  3 	    Operating System (CmdExec) 
--  4 	    Replication Snapshot Agent
--  5 	    Replication Log Reader Agent
--  6 	    Replication Distribution Agent
--  7 	    Replication Merge Agent
--  8 	    Replication Queue Reader Agent
--  9 	    Analysis Services Command
-- 10 	    Analysis Services Query
-- 11 	    SSIS package execution

-- and an additional subsystem for SQL Server 2008:-
-- 12 	    PowerShell Script
